IE7.JS 解决IE兼容性问题

IE 7.JS 是一个用来使老式IE浏览器(IE 5,IE 6)符合WEB标准的JavaScript 库,来解决 IE 的兼容性问题。 他还能解决PNG图片透明效果在IE5,IE6 下不能正常显示的问题。

使用方法:
使 IE 5,IE 6 兼容到 IE 7 模式(推荐)

<!–[if lt IE 7]>
<script src=”http://ie7-js.googlecode.com/svn/version/2.0(beta3)/IE7.js” type=”text/javascript”></script>
<![endif]–>

使 IE 5,IE 6,IE 7 兼容到 IE 8 模式

<!–[if lt IE 8]>
<script src=”http://ie7-js.googlecode.com/svn/version/2.0(beta3)/IE8.js” type=”text/javascript”></script>
<![endif]–>

解决PNG显示问题

只需将透明png图片命名为*-trans.png
需要注意的是:此方法对背景平铺(background-repeat)和背景(background-position)无法起到任何作用。

官方网址: http://code.google.com/p/ie7-js/
演示地址: http://ie7-js.googlecode.com/svn/test/index.html

附:解决IE8兼容问题,将IE 8 降为IE 7 模式方法

<meta http-equiv=“X-UA-Compatible” content=“IE=EmulateIE7” />

微信支付标点符 wechat qrcode
支付宝标点符 alipay qrcode

使用Python检测符号及乱码字符

最近在进行关键词的分析,中间涉及到对一些特殊的字符进行过滤的需求。包括带符号的(有部分还是SQL注入),并且存

PHP版本升级记录(7.0到7.4)

服务器上原先安装的版本为PHP 7.0.33, WordPress后台建议安装的最小版本为7.3,所以打算直接

WordPress LaTeX插件更换记录

由于自己的博客要插入很多的公式,所以需要依赖LaTeX插件来帮忙实现。先前一直使用的是WP QuickLaTe

发表评论

电子邮件地址不会被公开。 必填项已用*标注